/***************************************************************************
                          my_imageio.h  -  description
                             -------------------
    begin                : Tue Oct 5 1999
    copyright            : (C) 1999 by Lawrence E. Widman
    email                : widman@cardiothink.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

struct ACTION_LIST {
  char action;   // D - delete region, B - blank region
  // Deleted regions must extend either full-width or full-height
  // Blanked regions are set to the background color
  int  x0;       // x0, y0: lower left corner
  int  y0;
  int  w;        // w, h:   width and height
  int  h;
  // struct ACTION_LIST *next;
};

class my_imageio {
  public:
     my_imageio(){};
     ~my_imageio(){};
     int qt_connect(char *input_filename, int nored,  // nored==TRUE->remove red grid
	      struct ACTION_LIST *actions, int actions_num, int shrink,
	      int label_num, char **label_text, int *label_x, int *label_y, 
	      int *label_size, char *output_filename);
};
